Bug 144591 - Value for logheight in custom-shape is wrong in Writer
Summary: Value for logheight in custom-shape is wrong in Writer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shapes-Custom
  Show dependency treegraph
 
Reported: 2021-09-18 16:06 UTC by Regina Henschel
Modified: 2022-10-13 11:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Object with fixed rectangle height (11.12 KB, application/vnd.oasis.opendocument.graphics)
2021-09-18 16:06 UTC, Regina Henschel
Details
Screenshot with Draw and Writer side-by-side (21.19 KB, image/png)
2021-09-18 16:07 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2021-09-18 16:06:59 UTC
Created attachment 175107 [details]
Object with fixed rectangle height

Open attached Draw document. It has an object, where the upper rectangle has a fixed height of 1cm. The object is intended to be uses with a heading in the upper rectangle and body text in the lower rectangle.

Copy the object and insert it into a text document in Writer. Notice, that the upper rectangle has changed its height.

For to get a fixed height for the upper rectangle, the y-coordinate where the upper rectangle ends and the lower rectangle starts is calculated as
draw:formula="1000/logheight*height"

ODF 1.3 specifies in 19.171 draw:formula,
"logheight | The height in 1/100th mm as specified by the svg:height 19.543 attribute is used."
Comment 1 Regina Henschel 2021-09-18 16:07:38 UTC
Created attachment 175108 [details]
Screenshot with Draw and Writer side-by-side
Comment 2 Buovjaga 2022-10-13 11:31:26 UTC
Repro

Arch Linux 64-bit
Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: b45867766184ad1200df4183dab537fac9e83ea2
CPU threads: 8; OS: Linux 5.19; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 13 October 2022